GuidesAPI Reference
API Reference

Get the list of mTLS Identity Providers

Get the list of mTLS Identity Providers configured for the realm.


Access Control:

  • The calling principal must have "readMtlsIdentityProviders" action permission for the resource "{realm}" in the "account" service.
  • The calling principal MUST NOT include a project scope.
Path Params
string
required

HRN identifying the Realm. You can also use the shorthand "me" to refer to the Realm HRN indicated by your access token context.

Query Params
string

If there are more records than 'limit' (between 1 and 100), and there are multiple pages of records, 'pageToken' allows for retrieval of individual pages. In order to retrieve subsequent pages, the client should provide the pageToken returned in the result from the previous API call as input to the following API call.

Example: If the result for a call to GET /items returns {..., "pageToken": "abcdefg"}, in order to retrieve the next page of 'items' the client should call GET /items?pageToken=abcdefg

integer
0 to 100
Defaults to 100

Number of records to return. Default is 100 records. Maximum is 100 records.

Headers
string

Correlates HTTP requests between a client and server. If not present in the incoming request, it will be generated. This header and value will be included in all loglines including access logs. It will also be propagated to downstream services and returned in the response.

string

The unique for the request, used to track this request within the service. X-Request-ID value is NOT propagated to the downstream services.

Responses

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json